import api.ResponseHandler;
import com.sun.net.httpserver.HttpServer;
import model.personnality.Trait;
import model.questionnaire.Answer;
import model.questionnaire.Question;
import model.questionnaire.Questionnaire;

import java.net.InetSocketAddress;
import java.util.Arrays;

public class Application {

    public static void main(String [] args)
    {
        Trait vExtrovertTrait = new Trait("Extrovert", "You're an extrovert");
        Trait vIntrovertTrait = new Trait("Introvert", "You're an introvert");

        //------------------------------------
        // Define questionnaire
        //------------------------------------
        Questionnaire vQuestionnaire = new Questionnaire(
                "Introvert or extrovert ?",
                Arrays.asList(
                        //------------------------------------
                        // First question
                        //------------------------------------
                        new Question(
                                "You're really busy at work and a colleague is telling you their life story and personal woes.",
                                Arrays.asList(
                                        new Answer("Don't dare to interrupt them", vIntrovertTrait, 0.5f),
                                        new Answer("Think it's more important to give them some of your time; work can wait", vIntrovertTrait, 0.2f),
                                        new Answer("Listen, but with only with half an ear ", vIntrovertTrait, 0.1f),
                                        new Answer("Interrupt and explain that you are really busy at the moment", vExtrovertTrait, 0.5f)
                                )
                        ),
                        //------------------------------------
                        // Second question
                        //------------------------------------
                        new Question(
                                "You've been sitting in the doctor's waiting room for more than 25 minutes.",
                                Arrays.asList(
                                        new Answer("Look at your watch every two minutes", vIntrovertTrait, 0.2f),
                                        new Answer("Bubble with inner anger, but keep quiet ", vIntrovertTrait, 0.5f),
                                        new Answer("Explain to other equally impatient people in the room that the doctor is always running late ", vExtrovertTrait, 0.3f),
                                        new Answer("Complain in a loud voice, while tapping your foot impatiently", vExtrovertTrait, 0.7f)
                                )
                        )
                )
        );

        //------------------------------------
        // Start server
        //------------------------------------
        try {
            HttpServer vServer = HttpServer.create(new InetSocketAddress(8080), 0);
            vServer.createContext("/", new ResponseHandler());
            vServer.setExecutor(null);
            vServer.start();
        }
        catch(Exception ve)
        {
            ve.printStackTrace();
        }
    }

}
