import './App.css';
import React from 'react';
import Questionnaire from './component/questionnaire';
import url from './server';


function App() {
  const [questionnaireStarted, onStartQuestionnaire] = React.useState(false);
  const [sessionIdReceived, onSessionIdReceived] = React.useState(null);
  const [sessionIdRequested, onSessionIdRequested] = React.useState(false);
  const [errorOccured, onErrorOccured] = React.useState(null);
  //-------------------------------
  // Fetch session id
  //-------------------------------
  if(null === sessionIdReceived && !sessionIdRequested)
  {
    onSessionIdRequested(true);
    fetch(url+"/session")
        .then(response => response.json())
        .then(result => {
            if('error' in result)
              onErrorOccured(result.error);
            else
              onSessionIdReceived(result.id);
        })
        .catch( e => {
            console.log(e);
        });
  }

  return (
    <div>
      <h1>
        Are you an introvert or an extrovert ?
      </h1>
      <div>
        Take this <i>✨ totally legit personality test ✨</i> and find out !
      </div>
      {
        null === sessionIdReceived &&
        <div> {null === errorOccured ? "Contacting server..." : "A server error occured 😨 : "+errorOccured} </div>
      }
      {
        !questionnaireStarted && null!=sessionIdReceived &&
        <div
        onClick={() => onStartQuestionnaire(true)}>
          Start
        </div>
      }
      { questionnaireStarted &&
        <Questionnaire sessionId={sessionIdReceived}/>}
    </div>
  );
}

export default App;
